﻿/* Script des ELW-Moduls in EDPweb
   Copyright 2017 by Eifert Systems GmbH
   http://einsatzleitsoftware.de
   
   Dieses Script darf ohne Zustimmung nicht veraendert oder weiterkopiert werden. */

function filter() {
  // Declare variables
  var input, filter, table, tr, td,td2,td3, i;
  input = document.getElementById("search_input");
  filter = input.value.toUpperCase();
  table = document.getElementById("table");
  tr = table.getElementsByTagName("tr");

  // Loop through all table rows, and hide those who don't match the search query
  for (i = 1; i < tr.length; i++) {
    td = tr[i].getElementsByTagName("td")[1];
	td2 = tr[i].getElementsByTagName("td")[0];
	td3 = tr[i].getElementsByTagName("td")[5];
    if (td) {
      if ((td.innerHTML.toUpperCase().indexOf(filter) > -1) || ( td2.innerHTML.toUpperCase().indexOf(filter) > -1 ) || ( td3.innerHTML.toUpperCase().indexOf(filter) > -1 )) {
        tr[i].style.display = "";
      } else {
        tr[i].style.display = "none";
      }
    }
  }
}
   

function loaddiv(sitename,divname){
var xmlhttp;
  xmlhttp=new XMLHttpRequest();
  
  xmlhttp.onreadystatechange=function()
  {
  if (xmlhttp.readyState==4 && xmlhttp.status==200)
    {
    document.getElementById(divname).innerHTML=xmlhttp.responseText;
	
	if ((divname="kraefte_div") &&  (document.getElementById("search_input").value!="")) {
		filter();
			}
    }
  }
xmlhttp.open("GET","service.html?ajax="+sitename+"&time="+(new Date()).getTime(),true);
xmlhttp.send();

}


function refreshem(einsatznummer)
{
	loaddiv("kraefte_em&einsatznummer="+einsatznummer,"kraefte_div");	
}


function newabschnitt(einsatznummer,name)
{
  var xmlhttp;
  xmlhttp=new XMLHttpRequest();
  xmlhttp.onreadystatechange=function()
  {
  if (xmlhttp.readyState==4 && xmlhttp.status==200)
    {
    if (xmlhttp.responseText=='error')
	{
	 alert('Der Abschnitt konnte nicht angelegt werden!');
	} else {
	document.getElementById("em_edit").value = "";
	refreshem(einsatznummer);
    metroDialog.close('#emdialog');
	}
    }
  }
xmlhttp.open("GET","service.html?action=newabschnitt&einsatznummer="+einsatznummer+"&bezeichnung="+escape(name)+"&time="+(new Date()).getTime(),true);
xmlhttp.setRequestHeader("Content-type","application/x-www-form-urlencoded");
xmlhttp.send();
}


function emdispo(einsatznummer)
{
  var xmlhttp;
  xmlhttp=new XMLHttpRequest();
  xmlhttp.onreadystatechange=function()
  {  
  if (xmlhttp.readyState==4 && xmlhttp.status==200)
    {
		if (xmlhttp.responseText!='ok')
		{
		
			if (xmlhttp.responseText.indexOf("div")>0) {
						document.getElementById("emdialogdiv").innerHTML = xmlhttp.responseText;
			            metroDialog.open('#emdialog');					
		
			} 
			else {
					alert(xmlhttp.responseText);
					document.getElementById("em_edit").value = "";
					metroDialog.close('#emdialog');
			}
		} else
		{
		  document.getElementById("em_edit").value = "";	
		  refreshem(einsatznummer);
		  metroDialog.close('#emdialog');
		}
  }
  }
xmlhttp.open("GET","service.html?action=emdispo&einsatznummer="+einsatznummer+"&rufname="+escape(document.getElementById("em_edit").value)+"&ea=1&time="+(new Date()).getTime(),true);
xmlhttp.setRequestHeader("Content-type","application/x-www-form-urlencoded");
xmlhttp.send();
}

function emdispofromdlg(rufname,einsatznummer,close)
{
  var xmlhttp;
  xmlhttp=new XMLHttpRequest();
  xmlhttp.onreadystatechange=function()
  {
  if (xmlhttp.readyState==4 && xmlhttp.status==200)
    {
    if (xmlhttp.responseText!='ok')
	{
	 alert(xmlhttp.responseText);
	 
	} else {
	
	if (close==1) {
	metroDialog.close('#emdialog');
	} 
	else 
	{
		document.getElementById('list-'+decodeURI(rufname)).innerHTML="<span class=\"place-right\" style=\"font-size: 10pt\">"+einsatznummer+"</span>";

		}
	document.getElementById("em_edit").value = "";
	refreshem(einsatznummer);
	}
    }
  }
xmlhttp.open("GET","service.html?action=emdispo&einsatznummer="+einsatznummer+"&rufname="+rufname+"&time="+(new Date()).getTime(),true);
xmlhttp.setRequestHeader("Content-type","application/x-www-form-urlencoded");
xmlhttp.send();
}



function showem(rufname,einsatznummer){
  var xmlhttp;
  
  xmlhttp=new XMLHttpRequest();
  xmlhttp.onreadystatechange=function()
  {
  if (xmlhttp.readyState==4 && xmlhttp.status==200)
    {
			rufnamedlg = rufname;
			document.getElementById("dialogdiv").innerHTML = xmlhttp.responseText;
			metroDialog.open('#dialog');
    }
  }

xmlhttp.open("GET","service.html?ajax=kraefte_details&einsatznummer="+einsatznummer+"&rufname="+escape(rufname)+"&time="+(new Date()).getTime(),true);
xmlhttp.setRequestHeader("Content-type","application/x-www-form-urlencoded");
xmlhttp.send();
                               
}


function saveemdlg(einsatznummer){
  var xmlhttp;
  
  if (document.getElementById("bes1").value=='') { document.getElementById("bes1").value = '0'}
  if (document.getElementById("bes2").value=='') { document.getElementById("bes2").value = '0'}
  if (document.getElementById("bes3").value=='') { document.getElementById("bes3").value = '0'}
  if (document.getElementById("bespa").value=='') { document.getElementById("bespa").value = '0'}
  
  xmlhttp=new XMLHttpRequest();
  xmlhttp.onreadystatechange=function()
  {
  if (xmlhttp.readyState==4 && xmlhttp.status==200)
    {
	if (xmlhttp.responseText!='ok')
	{
	 alert(xmlhttp.responseText);
	} else {
	
	metroDialog.close('#dialog');
	refreshem(einsatznummer);
	}		
    }
  }

xmlhttp.open("GET","service.html?action=saveemdlg&rufname="+escape(rufnamedlg)+"&standort="+document.getElementById("standort").value+"&typ="+document.getElementById("typ").value+"&bes1="+document.getElementById("bes1").value+"&bes2="+document.getElementById("bes2").value+"&bes3="+document.getElementById("bes3").value+"&bespa="+document.getElementById("bespa").value+"&auftrag="+escape(document.getElementById("auftrag").value)+"&abschnitt="+escape(document.getElementById("abschnitt").value)+"&time="+(new Date()).getTime(),true);
xmlhttp.setRequestHeader("Content-type","application/x-www-form-urlencoded");
xmlhttp.send();
                               
}


function setbesatzung(uf,ma)  {
       
       document.getElementById("bes1").value = "0";
       document.getElementById("bes2").value = uf;
       document.getElementById("bes3").value = ma;
   }


function showstatus(rufname,einsatznummer){
  var xmlhttp;
  
  xmlhttp=new XMLHttpRequest();
  xmlhttp.onreadystatechange=function()
  {
  if (xmlhttp.readyState==4 && xmlhttp.status==200)
    {
			rufnamedlg = rufname;
 			document.getElementById("dialogdiv").innerHTML = '<h1 class="padding20 fg-darkCyan">Status setzen</h1>'+xmlhttp.responseText;
			metroDialog.open('#dialog');
    }
  }

xmlhttp.open("GET","service.html?ajax=em_status&rufname="+escape(rufname)+"&einsatznummer="+einsatznummer+"&time="+(new Date()).getTime(),true);
xmlhttp.setRequestHeader("Content-type","application/x-www-form-urlencoded");
xmlhttp.send();
                               
}

function sucheeinsatzmittel(rufname,einsatznummer){
  var xmlhttp;
  
  		rufnamedlg = rufname;
 			$.Dialog({
                                    flat: true,
                                    shadow: true,
                                    title: 'Suchergebnisse <'+rufname+'>',
                                    content: '<div style="height: 480px; overflow:auto" id="dialogdiv"><img id="loadingImg" src="lage/loading.gif" style="position:absolute; right:50%; top:50%; z-index:100;" /></div>',
				    padding: 10,
				    width: 350,
					height: 500
                                });
  
  xmlhttp=new XMLHttpRequest();
  xmlhttp.onreadystatechange=function()
  {
  if (xmlhttp.readyState==4 && xmlhttp.status==200)
    {
			document.getElementById('dialogdiv').innerHTML=xmlhttp.responseText;
			$.Metro.initInputs();
    }
  }

xmlhttp.open("GET","service.html?ajax=em_suche&rufname="+escape(rufname)+"&einsatznummer="+einsatznummer+"&time="+(new Date()).getTime(),true);
xmlhttp.setRequestHeader("Content-type","application/x-www-form-urlencoded");
xmlhttp.send();
                               
}

function showabschnitt(id,einsatznummer){
  var xmlhttp;

  
  xmlhttp=new XMLHttpRequest();
  xmlhttp.onreadystatechange=function()
  {
  if (xmlhttp.readyState==4 && xmlhttp.status==200)
    {
		document.getElementById("dialogdiv").innerHTML = xmlhttp.responseText;
			metroDialog.open('#dialog');
    }
  }

xmlhttp.open("GET","service.html?ajax=kraefte_abschnitt_details&id="+id+"&einsatznummer="+einsatznummer+"&time="+(new Date()).getTime(),true);
xmlhttp.setRequestHeader("Content-type","application/x-www-form-urlencoded");
xmlhttp.send();
                               
}


function saveabschnittdialog(einsatznummer,id){
  var xmlhttp;
  
  
  xmlhttp=new XMLHttpRequest();
  xmlhttp.onreadystatechange=function()
  {
  if (xmlhttp.readyState==4 && xmlhttp.status==200)
    {
	if (xmlhttp.responseText!='OK')
	{
	 alert(xmlhttp.responseText);
	} else {
	
	metroDialog.close('#dialog');
	refreshem(einsatznummer);
	}		
    }
  }

xmlhttp.open("GET","service.html?action=abschnittupdate&id="+id+"&einsatznummer="+einsatznummer+"&bezeichnung="+escape(document.getElementById("abschnittbezeichnung").value)+"&eal="+escape(document.getElementById("abschnitteal").value)+"&rufname="+escape(document.getElementById("abschnittrufname").value)+"&kanal="+document.getElementById("abschnittkanal").value+"&time="+(new Date()).getTime(),true);
xmlhttp.setRequestHeader("Content-type","application/x-www-form-urlencoded");
xmlhttp.send();
                               
}

function showeinsatzleitung(einsatznummer){
  var xmlhttp;
  
  xmlhttp=new XMLHttpRequest();
  xmlhttp.onreadystatechange=function()
  {
  if (xmlhttp.readyState==4 && xmlhttp.status==200)
    {
			
			
			document.getElementById("dialogdiv").innerHTML = xmlhttp.responseText;
			metroDialog.open('#dialog');
    }
  }

xmlhttp.open("GET","service.html?ajax=kraefte_einsatzleitung&einsatznummer="+einsatznummer+"&time="+(new Date()).getTime(),true);
xmlhttp.setRequestHeader("Content-type","application/x-www-form-urlencoded");
xmlhttp.send();
                               
}


function saveeinsatzleitung(einsatznummer){
  var xmlhttp;
  
  xmlhttp=new XMLHttpRequest();
  xmlhttp.onreadystatechange=function()
  {
  if (xmlhttp.readyState==4 && xmlhttp.status==200)
    {
	if (xmlhttp.responseText!='OK')
	{
	 alert(xmlhttp.responseText);
	} else {
	
	metroDialog.close('#dialog');
	refreshem(einsatznummer);
	}		
    }
  }

xmlhttp.open("GET","service.html?action=saveeinsatzleitung&einsatznummer="+einsatznummer+"&el_name="+escape(document.getElementById("el_name").value)+"&el_rufname="+escape(document.getElementById("el_rufname").value)+"&el_kanal="+escape(document.getElementById("el_kanal").value)+"&el_telefon="+document.getElementById("el_telefon").value+"&time="+(new Date()).getTime(),true);
xmlhttp.setRequestHeader("Content-type","application/x-www-form-urlencoded");
xmlhttp.send();
                               
}


function deleteabschnitt(abschnitt,einsatznummer){
  var xmlhttp;
  
    Check = confirm("Wollen Sie den Abschnitt wirklich entfernen?"); 
    if (Check == false) {
      return;
    }
  
  xmlhttp=new XMLHttpRequest();
  xmlhttp.onreadystatechange=function()
  {
  if (xmlhttp.readyState==4 && xmlhttp.status==200)
    {
     if (xmlhttp.responseText=='OK') {
		refreshem(einsatznummer);
	 }
	 else
	 {
	 alert(xmlhttp.responseText);
	 }

    }
  }

xmlhttp.open("GET","service.html?action=deleteabschnitt&abschnitt="+abschnitt+"&einsatznummer="+einsatznummer+"&time="+(new Date()).getTime(),true);
xmlhttp.setRequestHeader("Content-type","application/x-www-form-urlencoded");
xmlhttp.send();
                               
}



function setstatus(rufname,status,einsatznummer)
{
  var xmlhttp;
  xmlhttp=new XMLHttpRequest();
  xmlhttp.onreadystatechange=function()
  {
  if (xmlhttp.readyState==4 && xmlhttp.status==200)
    {
    metroDialog.close('#dialog');
    refreshem(einsatznummer);
    }
  }

xmlhttp.open("GET","service.html?action=setstatus&rufname="+escape(rufname)+"&status="+status+"&time="+(new Date()).getTime(),true);
xmlhttp.setRequestHeader("Content-type","application/x-www-form-urlencoded");
xmlhttp.send();

}

   
  